/*
 * ExhibitionFacadeRemoteTest.java
 * JUnit based test
 *
 * Created on October 23, 2006, 2:42 PM
 */

package com.schwarcz.enamels.model;

import junit.framework.*;
import javax.ejb.Remote;
import java.util.List;
import com.schwarcz.util.ServiceLocator;

/**
 *
 * @author Carl
 */
public class ExhibitionFacadeRemoteTest extends TestCase {
    
    ExhibitionFacadeRemote efr;
    
    public ExhibitionFacadeRemoteTest(String testName) {
        super(testName);
    }

    protected void setUp() throws Exception {
        efr = (ExhibitionFacadeRemote) ServiceLocator.lookup("ExhibitionFacade");
    }

    protected void tearDown() throws Exception {
    }

    /**
     * Test of findByEnamel method, of class com.schwarcz.enamels.model.ExhibitionFacadeRemote.
     */
    public void testFindByEnamel() {
        String aka = "0301";
        assertNotNull (efr);
        List<Exhibition> result = efr.findByEnamel(aka);
        assertTrue ("Min 5 Exhibitions", (5 <= result.size()));
        
    }
    

}
